<div class="form-horizontal">
    <div class="row">
        <div class="col-sm-offset-4 col-sm-4">
            <input id="updatevalueforversion" name="updatevalueforversion" class="ios-toggle" type="checkbox" ng-model="p.updatevalueforversion">
            <label for="updatevalueforversion" class="ios-checkbox-label" data-off="NON" data-on="OUI"></label>
        </div>
    </div>
    <p ng-show="p.updatevalueforversion" class="help-block">L'ancienne valeur sera préservée pour les versions précédentes.
        <br>La nouvelle valeur s'appliquera à partir de la version saisie ci-dessous.
    </p>
    <div class="form-group"  ng-show="p.updatevalueforversion" >
        <label class="col-sm-4 control-label">Version</label>
        <div class="col-sm-8" ng-class="invalidClass(p.changevalueversion)">
            <input class="form-control" type="text" ng-model="p.changevalueversion" required>
        </div>
    </div>
</div>